package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ExecuteFailLog;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-5-15 17:29
 */
@Repository
public interface ExecuteFailLogDAO {
    int insert(ExecuteFailLog entity);
    int update(ExecuteFailLog entity);
    int exist(String id);
    ExecuteFailLog get(String id);
    int delete(String id);
    List<ExecuteFailLog> list();
    List<ExecuteFailLog> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<ExecuteFailLog> findByDeviceNo(String deviceNo, int limit);
    ExecuteFailLog findByPersonIdAndDeviceIdAndType(Long personId, String deviceId, String type);
}
